Subject: bug#28636: 27.0.50; Unable to load color "gtk_selection_bg_color" in 27.0.50

From: Philipp Stephani <[email-masked]>
Date: Fri, 29 Sep 2017 21:42:28 +0000

Eli Zaretskii <[email-masked]> schrieb am Fr., 29. Sep. 2017 um 23:05 Uhr:

> > From: Philipp Stephani <[email-masked]>
> > Date: Fri, 29 Sep 2017 20:42:24 +0000
> >
> > Do you mean silencing the compiler warning? I guess so, but I think that
> would be a bit dangerous: at some
> > point the function might get removed entirely, then we'd have to
> scramble to find a replacement to keep the
> > code compilable, so I'd rather keep the compiler warning until we find a
> good solution.
>
> Do we have a reason to believe they will be removed any time soon?
> I've seen deprecated stuff kept for years on end.
>

GTK+ seems to be reasonably serious about this. The function in question
here is still present in the source code, but another one that we used to
call (gtk_window_parse_geometry) is already gone.

>
> Or maybe we should ask the GTK developers not to delete them because
> we need them?
>

We could, but I don't think that will have a high probability of success.
They would rightly point out that we're doing it wrong.

For the function in question, the definition is actually trivial, so we can
replace it with the definition for now to buy us some time.